<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name=".JourneyApp"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/journey_app_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/journey_app_round_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.KeyboardJourney"
        tools:targetApi="31">


        <meta-data android:name="applovin.sdk.key"
            android:value="wt2KAZMCf_SkV_coMIB7GWtaOQtCd2ZFRK8hFAQo7zbXpIGpG5iI0fZ0sMJr5n_cCO3LEVU66gpxe099OFXXvv"/>

        <activity
            android:name=".JourneyStartActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".JourneyMActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <service
            android:name=".KeyboardService"
            android:exported="true"
            android:label="@string/app_name"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <meta-data
                android:name="android.view.im"
                android:resource="@xml/method" />
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>
        </service>

        <activity
            android:name=".JourneyCategoryDetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".JourneyDetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".PreviewActivity"
            android:windowSoftInputMode="adjustResize"
            android:screenOrientation="portrait" />
    </application>


</manifest>